| 0.6.1

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
storage Class Reference

## Public Types
typedef glm::byte | data_type
typedef dim3_t | dim_type
typedef gli::format | format_type
typedef size_t | size_type
typedef glm::ivec4 | swizzle_type

## Public Member Functions
data_type * | data ()
data_type const * | data () const
dim_type | dimensions (size_type const &Level) const
bool | empty () const
size_type | face_size (size_type const &BaseLevel, size_type const &MaxLevel) const
size_type | faces () const
format_type | format () const
size_type | layer_size (size_type const &BaseFace, size_type const &MaxFace, size_type const &BaseLevel, size_type const &MaxLevel) const
size_type | layers () const
size_type | level_size (size_type const &Level) const
size_type | levels () const
size_type | size () const
| storage ()
| storage (size_type const &Layers, size_type const &Faces, size_type const &Levels, format_type const &Format, dim_type const &Dimensions)
swizzle_type | swizzle () const

## Detailed Description

Definition at line 56 of file storage.hpp.

## Member Typedef Documentation

typedef glm::byte data_type

Definition at line 62 of file storage.hpp.

typedef dim3_t dim_type

Definition at line 59 of file storage.hpp.

typedef gli::format format_type

Definition at line 61 of file storage.hpp.

typedef size_t size_type

Definition at line 60 of file storage.hpp.

typedef glm::ivec4 swizzle_type

Definition at line 63 of file storage.hpp.

## Constructor & Destructor Documentation

storage | ( |  | ) |

storage | ( | size_type const & | Layers,
|  | size_type const & | Faces,
|  | size_type const & | Levels,
|  | format_type const & | Format,
|  | dim_type const & | Dimensions
| ) |  |

## Member Function Documentation

data_type* data | ( |  | ) |

data_type const* data | ( |  | ) | const

dim_type dimensions | ( | size_type const & | Level | ) | const

bool empty | ( |  | ) | const

Referenced by texture::empty().

size_type face_size | ( | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  | const

size_type faces | ( |  | ) | const

format_type format | ( |  | ) | const

Referenced by texture::clear(), and texture::size().

size_type layer_size | ( | size_type const & | BaseFace,
|  | size_type const & | MaxFace,
|  | size_type const & | BaseLevel,
|  | size_type const & | MaxLevel
| ) |  | const

size_type layers | ( |  | ) | const

size_type level_size | ( | size_type const & | Level | ) | const

size_type levels | ( |  | ) | const

size_type size | ( |  | ) | const

swizzle_type swizzle | ( |  | ) | const